<html>
  <head>
    <title>GPIO board control panel</title>
    <link rel='stylesheet' href='https://line.gitlabpages.inria.fr/aide-group/esp32gpiocontrol/webcontrols.css'/>
    <script type='text/javascript' src='https://line.gitlabpages.inria.fr/aide-group/esp32gpiocontrol/webcontrols.js'></script>
  </head>
  <body style='width:820px'>
    <h1>GPIO board control panel</h1>
    <div class='button-bar'>
      <b>Pin index:</b>
      <input id='index' type='text' value='13' size='3'/>
    </div>
    <div class='button-bar'>
      <b>Digital I/O:</b>
      <button onclick='doCurl("@/gpio", "value=1", "POST")' style='background-color:red'>ON</button>
      <button onclick='doCurl("@/gpio", "value=0", "POST")' style='background-color:lightgreen'>OFF</button>
      <button onclick='doCurl("@/gpio", "", "POST")' class='button' style='background-color:magenta'>Get</button> 
    </div>
    <div class='button-bar'>
      <b>Timing measure:</b>
      <script>webcontrols.addButtonOnOff("timing", { on_text: "Start", off_text: "Stop"}, function(value) {
        doCurl("@/gpio", "action=" + (value ? "start" : "stop"), "POST");
      });</script>
      <button onclick='doCurl("@/gpio", "action=get", "POST")' style='background-color:magenta'>Get</button>
    </div>
    <div class='button-bar'>
      <b>Analog I/O:</b>
      <script>webcontrols.addButtonRange("Analog value", {});</script>
      <button onclick='doCurl("@/gpio", "mode=analog&value="+analog_value, "POST")' style='background-color:yellow'>Put</button>
      <button onclick='doCurl("@/gpio", "mode=analog", "POST")' style='background-color:magenta'>Get</button>
    </div>
    <script>
      webcontrols.addConsole(true);
      function doCurl(url, input, method) {
        let index = document.getElementById("index").value;
        webcontrols.curl(url, input+"&index="+index, method);
      }
    </script>
    <div class='button-bar'>
      <button title='Ping the web service to verify if alive' onclick='webcontrols.curl("@/", "", "GET")' style='background-color:yellow'>Ping</button>
      <button title='Restart the ESP32 microcontroler' onclick='webcontrols.curl("@/restart", "", "POST")' style='background-color:red'>Restart</button>
    </div>
  </body>
</html>
